# =========================================================================== #
# Gemspec for Project RemoveFileSuffix.
# =========================================================================== #
Gem::Specification.new { |s|

  s.name    = 'remove_file_suffix'
  s.version = '1.0.6'
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

    This simple module allows you to remove file suffixes
    from a given input.

    Example for this:
      RemoveFileSuffix['foobar-1.0.0.tar.xz']

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  s.authors  = ['Robert A. Heiler']
  s.email    = 'shevegen@gmail.com'
  s.files    = Dir['**/*']
  s.license  = 'GPL-2.0'
  s.homepage = 'http://rubygems.org/gems/remove_file_suffix'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

}